Package com.arms.api.analysis.cost.service

## Interface CostService

- All Known Implementing Classes:
    `CostServiceImpl`

      public interface CostService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CostCalculationVO` | `calculateAssigneeCost​(CostDTO costDTO)` |
    `CostCalculationVO` | `calculateCostAll​(CostDTO costDTO)` |
    `CostCalculationVO` | `calculateRequirementCost​(CostDTO costDTO)` |
    `CostCalculationVO` | `calculateVersionCost​(CostDTO costDTO)` |
    `ProductCostResponseVO` | `candleStickChartAPI​(CostDTO costDTO)` |
    `AllAssigneeVO` | `getAssigneeList​(CostDTO costDTO)` |
    `java.util.Set<java.lang.String>` | `getAssignees​(java.lang.Long pdServiceLink, java.util.List<java.lang.Long> pdServiceVersionLinks)` |
    `java.util.List<AssigneeTimeDiffVO>` | `getEstimatedPeriodCostByAccountId​(CostDTO costDTO)` |
    `LinkedJiraIssueVO` | `getLinkedJiraIssuesByVersionAndRequirement​(CostDTO costDTO)` |
    `RequirementDifficultyAndPriorityVO` | `getRequirementListStats​(CostDTO costDTO)` |
    `CostCalculationVO` | `toBeCalculateCost​(CalculationCostDTO calculationCostDTO)` |

- - ### Method Detail

    - #### getAssigneeList

          AllAssigneeVO getAssigneeList​(CostDTO costDTO)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getRequirementListStats

          RequirementDifficultyAndPriorityVO getRequirementListStats​(CostDTO costDTO)
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getLinkedJiraIssuesByVersionAndRequirement

          LinkedJiraIssueVO getLinkedJiraIssuesByVersionAndRequirement​(CostDTO costDTO)
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### candleStickChartAPI

          ProductCostResponseVO candleStickChartAPI​(CostDTO costDTO)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getAssignees

          java.util.Set<java.lang.String> getAssignees​(java.lang.Long pdServiceLink,
                                                       java.util.List<java.lang.Long> pdServiceVersionLinks)

    - #### getEstimatedPeriodCostByAccountId

          java.util.List<AssigneeTimeDiffVO> getEstimatedPeriodCostByAccountId​(CostDTO costDTO)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateCostAll

          CostCalculationVO calculateCostAll​(CostDTO costDTO)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateVersionCost

          CostCalculationVO calculateVersionCost​(CostDTO costDTO)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateRequirementCost

          CostCalculationVO calculateRequirementCost​(CostDTO costDTO)
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### calculateAssigneeCost

          CostCalculationVO calculateAssigneeCost​(CostDTO costDTO)
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toBeCalculateCost

          CostCalculationVO toBeCalculateCost​(CalculationCostDTO calculationCostDTO)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`